%define desktop_file 1
%define desktop_file_utils_version 0.2.93

Summary: Graphical frontend to generating boot disks
Name: qmkbootdisk
Version: 1.0.1
Release: 11
Prefix: /usr
Source: %{name}-%{version}.tar.bz2
Epoch: 8
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Prereq: /sbin/ldconfig
Requires: qt
Requires: mkbootdisk
BuildRequires: qt-devel >= 3.0.0

%if %{desktop_file}
Requires: /usr/bin/desktop-file-install
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

# This doesn't make sense on systems that can't boot from disks...
ExcludeArch: ia64 s390 s390x x86_64

%description
QMkBootDisk lets you create boot floppies graphically.

%prep

%setup -q

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
perl -pi -e "s,-I,$RPM_OPT_FLAGS -I,g" Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 qmkbootdisk $RPM_BUILD_ROOT%{_bindir}

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
        --vendor redhat \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category "Application;System;X-Red-Hat-Extra" \
        --add-only-show-in KDE \
        qmkbootdisk.desktop
# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/etc/X11

%else
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System \
         $RPM_BUILD_ROOT/etc/X11/sysconfig
install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/applnk/System
install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/sysconfig
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/qmkbootdisk
%if %{desktop_file}
%{prefix}/share/applications/*
%else
%config(noreplace) /etc/X11/applnk/System/*
%config(noreplace) /etc/X11/sysconfig/*
%endif

%changelog
* Wed Jun 25 2003 Than Ngo <than@redhat.com> 8:1.0.1-11
- cleanup specfile

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  3 2003 Tim Powers <timp@redhat.com> 8:1.0.1-9
- excludearch x86_64

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 8:1.0.1-7
- remove unpackaged files from the buildroot

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- use desktop-file-utils (#69466)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.0.1-4
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.0.1-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.0.1-2
- automated rebuild

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- Initial build as separate package
